GIT-VERIFY-PACK(1)

NAME
git-verify-pack - Validate packed git archive files

SYNOPSIS

git verify-pack [-v] [--] <pack>.idx ...

DESCRIPTION

Reads given idx file for packed git archive created with the git-pack-objects command and verifies idx file and the corresponding pack file.

OPTIONS

<pack>.idx ...
    The idx files to verify.

-v
    After verifying the pack, show list of objects contained in the pack.

--
    Do not interpret any more arguments as options.

OUTPUT FORMAT

When specifying the -v option the format used is:

    SHA1 type size size-in-pack-file offset-in-packfile

for objects that are not deltified in the pack, and

    SHA1 type size size-in-packfile offset-in-packfile depth base-SHA1

for objects that are deltified.

AUTHOR

Written by Junio C Hamano <gitster@pobox.com[1]>

DOCUMENTATION

Documentation by Junio C Hamano

GIT

Part of the git(1) suite

NOTES

1.  gitster@pobox.com
    mailto:gitster@pobox.com